admin_site/urls.py
from django.conf.urls import url, include
from django.views.generic.base import TemplateView

from admin_site.dashboard import *
from admin_site.repairshop import *
from admin_site.service import *
from admin_site.users import *
from admin_site.views import *
from admin_site.reviews import *
from admin_site.profile import *
from admin_site.notifications import *

urlpatterns = [
    url(r'^$', view=dashboard, name="dashboard"),
    url(r'notifications/$',view=notifications,name="notifications"),
    url(r'notifications-count/', view=notifications_count, name="notifications_count"),

    #self profile
    url(r'profile/$', view=profile, name="profile"),
    # url(r'update-profile/$', view=update_profile, name="update_profile"),

    # # Service Order Admin Panel

    url(r'user_list/$', view=users_list, name="users_list"),
    url(r'user_list/create/$', view=user_create, name="user_create"),
    url(r'user_list/edit/(?P<id>[0-9]+)/$', view=user_edit, name="user_edit"),
    url(r'user_list/delete/(?P<id>[0-9]+)/$', view=user_delete, name="user_delete"),
    url(r'user_payment_history/$', view=user_payment_history, name="user_payment_history"),
    #
    # # Service Type Admin Panel
    url(r'service-type/$', view=service_type_list, name="service_type_list"),
    url(r'service-type/create/$', view=service_type_create, name="service_type_create"),
    url(r'service-type-edit/(?P<id>[0-9]+)/$', view=service_type_edit, name="service_type_edit"),
    url(r'service-type-delete/(?P<id>[0-9]+)/$', view=service_type_delete, name="service_type_delete"),
    #
    # # Service Order Admin Panel
    url(r'service-order/$', view=service_order_list, name="service_order_list"),
    url(r'service-order/create/$', view=service_order_create, name="service_order_create"),
    url(r'service-order-edit/(?P<id>[0-9]+)/$', view=service_order_edit, name="service_order_edit"),
    url(r'service-order-delete/(?P<id>[0-9]+)/$', view=service_order_delete, name="service_order_delete"),
    #
    # # Repair Shop Admin Panel
    url(r'repair-shop-update/(?P<id>[0-9]+)/$', view=repair_shop_update, name="repair_shop_update"),
    url(r'repair-shop-create/$', view=repair_shop_create, name="repair_shop_create"),
    url(r'repair-shop/$', view=repair_shop_list, name="repair_shop_list"),
    url(r'repair-shop-delete/(?P<id>[0-9]+)/$', view=repair_shop_delete, name="repair_shop_delete"),
    #
    #
    url(r'repair-shop-days/$', view=repair_shop_days, name="repair_shop_days"),
    url(r'timing_create/$', view=timing_create, name="timing_create"),
    # url(r'timing_update/(?P<id>[0-9]+)/$', view=timing_update, name="timing_update"),
    # url(r'timing_delete/(?P<id>[0-9]+)/$', view=timing_delete, name="timing_delete"),

    #
    # #SEO Optimization
    # url(r'optimizations/',name="optimizations_list"),
    # url(r'optimizations/create/',name="optimizations_create"),
    # url(r'optimizations/edit/(?P<id>[0-9]+)/',name="optimizations_edit"),
    # url(r'optimizations/delete/(?P<id>[0-9]+)/',name="optimizations_delete"),

    #
    #
    # # Review Admin Panel
    url(r'review/$', view=review_list, name="review_list"),
    url(r'review/create/$', view=review_create, name="review_create"),
    url(r'review-edit/(?P<id>[0-9]+)/$', view=review_edit, name="review_edit"),
    url(r'review-delete/(?P<id>[0-9]+)/$', view=review_delete, name="review_delete"),

    #
    #
    ## Upgrade Payment
    url(r'upgrade-payment', view = upgrade_payment, name='upgrade-payment')
]

mainsite/urls.py
from __future__ import absolute_import, print_function, unicode_literals

from django.conf.urls import url, include
from django.contrib import admin

from mainsite.views import homepage, redirection, payment, subscribe_redirect, payment_stripe, portfolio_repair_shop

admin.autodiscover()


urlpatterns = [
    url(r'^$',view=homepage,name="homepage"),
    url(r'^redirection/$',view=redirection,name="redirection"),
    url(r'^payment/$',view=payment,name="payment"),
    url(r'^subscribe-redirect/$',view=subscribe_redirect,name="subscribe-redirect"),
    url(r'^payment-stripe/$',view=payment_stripe,name="payment_stripe"),

    url(r'^category/repair-shop/$', view=portfolio_repair_shop, name="portfolio_repair_shop"),
]

webtweaker/urls.py
from __future__ import absolute_import, print_function, unicode_literals

from allauth.socialaccount.providers import paypal
from django.conf import settings
from django.conf.urls import include, url
from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from django.contrib.sitemaps.views import sitemap
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.static import serve
from django.conf.urls import url, include
from django.contrib import admin

admin.autodiscover()


urlpatterns = [
    url(r'^admin/', include('admin_site.urls',namespace="admin_site")),
    url(r'^', include('mainsite.urls',namespace="mainsite")),
    url(r'^account/', include('allauth.urls')),
    url(r'^admin-bk/', admin.site.urls),
    # url(r'^$',view=home,name="home"),
    #
    #
    #
    # url(r'^services/$',view=services,name="services"),
    #
    # url(r'appointment/create/$',view=appointment_create,name="appointment_create"),
    #
    # url(r'^about-us/$', view=about_us, name="about_us"),
    # url(r'^gallery/$', view=gallery, name="gallery"),
    # url(r'^contact-us/$', view=contact_us, name="contact_us"),
    # url(r'^payments/$', view=payments, name="payments"),

    url('^inbox/notifications/', include('notifications.urls', namespace='notifications')),
]

admin_site/models.py
from django.contrib.auth.models import AbstractUser
from django.contrib.postgres.fields import ArrayField
from django.contrib.sites.models import Site, SiteManager
from django.core.exceptions import ImproperlyConfigured
from django.core.validators import RegexValidator, MaxValueValidator, MinValueValidator
from django.db import models

# Create your models here.
from django.db.models import DateField
from django.db.models.signals import post_save
from django.dispatch import receiver
from django.http.request import split_domain_port
from django.views.generic.dates import DayMixin
from notifications.signals import notify

from admin_site.choices import *

class User(AbstractUser):
    is_client=models.BooleanField(default=False)

    def __str__(self):
        return self.username

class Client(models.Model):
    user=models.OneToOneField(User,on_delete=models.CASCADE,primary_key=True)
    is_subscribed=models.BooleanField(default=False)
    address=models.CharField(max_length=500,blank=True)
    business_domain=models.CharField(max_length=60,blank=True,null=True)
    phone_regex = RegexValidator(regex=r'^\+?1?\d{9,15}$',
                                 message="Phone number must be entered in the format: '+999999999'. Up to 15 digits allowed.")
    phone = models.CharField(max_length=15, blank=True, null=True, validators=[phone_regex])
    zip_regex = RegexValidator(regex=r'^\+?1?\d{9,15}$',
                                 message="Phone number must be entered in the format: '+999999999'. Up to 15 digits allowed.")
    zip_code=models.CharField(max_length=5,blank=True)

# class Package(models.Model):
#     name=models.CharField(max_length=20,default="Basic")
#     price=models.CharField(max_length=20,default="99")
#
#     def __str__(self):
#         return self.name
#
# class SiteCredentials(models.Model):
#     site = models.OneToOneField(Site,null=True)
#     access=models.ManyToManyField(Client)
#     package=models.OneToOneField(Package,null=True)
#     is_active=models.BooleanField(default=False)
#
#
# class RepairShop(models.Model):
#     name=models.CharField(max_length=60,default="")
#     facebook=models.URLField(blank=True)
#     instagram=models.URLField(blank=True)
#     twitter=models.URLField(blank=True)
#     google=models.URLField(blank=True)
#     email=models.EmailField(blank=False,null=False)
#     phone=models.CharField(max_length=15,blank=False,null=False)
#     address=models.CharField(max_length=200)
#     site=models.OneToOneField(Site)
#
#
# class OpenClose(models.Model):
#     day = models.CharField(max_length=20, blank=False, null=False, unique=True)
#     from_time = models.TimeField(auto_created=True, blank=True, null=True)
#     to_time = models.TimeField(auto_created=True, blank=True, null=True)
#     closed=models.BooleanField(default=False)
#
#     def __str__(self):
#         return self.day
#     # shop=models.ForeignKey(RepairShop)
#
# class Review(models.Model):
#     name=models.CharField(max_length=60)
#     address=models.CharField(max_length=200)
#     day=models.DateField(auto_now_add=True)
#     message=models.TextField(max_length=2000)
#     site=models.ForeignKey(Site)
#
# class ServiceType(models.Model):
#     name=models.CharField(max_length=200,null=False,blank=False)
#     description=models.CharField(max_length=1000)
#     site=models.ForeignKey(Site)
#
#     def __str__(self):
#         return self.name
#
# @receiver(post_save,sender=ServiceType)
# def appointment_notification(sender,instance,created,**kwargs):
#     users=User.objects.all()
#     notify.send(instance, verb='was saved',recipient=users)
#
#
# class ServiceOrder(models.Model):
#
#     APPOINTMENT_TYPES=(
#         (1,'Request an Appointment'),
#         (2,'Request a Quote')
#     )
#
#     name=models.ForeignKey(ServiceType,on_delete=models.CASCADE)
#     completed=models.BooleanField(default=False)
#     client_name=models.CharField(max_length=200,blank=False,null=False)
#     client_mail=models.EmailField(max_length=30,blank=False,null=False)
#
#     phone_regex=RegexValidator(regex=r'^\+?1?\d{9,15}$', message="Phone number must be entered in the format: '+999999999'. Up to 15 digits allowed.")
#     client_phone=models.CharField(max_length=15,blank=False,null=False,validators=[phone_regex])
#
#     car_year=models.IntegerField(validators=[MaxValueValidator(2018),
#             MinValueValidator(1980)],null=True,blank=True)
#     car_make=models.CharField(max_length=100)
#     car_model=models.CharField(max_length=255)
#
#     appointment_date=models.DateField()
#     message=models.TextField()
#
#     site=models.ForeignKey(Site)
#
# class ContentManager(models.Model):
#     pass
#
# class UserPayment(models.Model):
#     user=models.ForeignKey(User)
#     name=models.CharField(max_length=100,blank=True,null=True)
#     address=models.CharField(max_length=100,blank=True,null=True)
#     city=models.CharField(max_length=100,blank=True,null=True)
#     state=models.CharField(max_length=100,blank=True,null=True)
#     token=models.CharField(max_length=500,blank=True,null=True)
#     amount=models.PositiveIntegerField()
#     date=models.DateTimeField(auto_now_add=True)
#
# class Subscription(models.Model):
#     site = models.OneToOneField(Site)
#     package = models.ForeignKey(Package)
#     start_timestamp = models.DateTimeField(auto_now_add=True)
#     end_timestamp = models.DateTimeField()
# # @receiver(post_save,sender=UserPayment)
# # def appointment_notification(sender,instance,created,**kwargs):
# #     user=instance.user
# #     notify.send(instance, verb='was saved',recipient=user)
# class Permission(models.Model):
#     name=models.CharField(max_length=20)

admin_site/forms.py
# from django import forms
# from django.contrib.auth import get_user_model
# from django.contrib.auth.forms import UserCreationForm
# from django.contrib.auth.models import User
# from django.contrib.sites.models import Site
#
# from django.core.validators import RegexValidator
# from django.forms import ModelForm, Select
# #
# from admin_site.choices import days, category
# from admin_site.models import RepairShop, OpenClose, Client, ServiceOrder
# from admin_site.models import ServiceType
# from admin_site.models import Review
# #
# class ServiceTypeForm(forms.ModelForm):
#     sites=Site.objects.all()
#     site=forms.ModelChoiceField(queryset=sites,widget=forms.Select(attrs={'class':'mdb-select'}))
#     class Meta:
#         model=ServiceType
#         fields=['name','description','site']
#         widgets = {
#             'name':forms.TextInput(attrs={'class':'form-control'}),
#             'description':forms.TextInput(attrs={'class':'form-control'})
#         }
# class ServiceOrderForm(forms.ModelForm):
#     services=ServiceType.objects.all()
#     sites = Site.objects.all()
#     name=forms.ModelChoiceField(queryset=services,widget=forms.Select(attrs={'class':'mdb-select'}))
#     site=forms.ModelChoiceField(queryset=sites,widget=forms.Select(attrs={'class':'mdb-select'}))
#     class Meta:
#         model=ServiceOrder
#         fields=['client_name','client_mail','client_phone','car_year','car_make','car_model','appointment_date','message','name','site']
#         widgets = {
#             'client_name':forms.TextInput(attrs={'class':'form-control'}),
#             'client_mail':forms.TextInput(attrs={'class':'form-control'}),
#             'client_phone':forms.TextInput(attrs={'class':'form-control'}),
#             'car_year':forms.TextInput(attrs={'class':'form-control'}),
#             'car_make':forms.TextInput(attrs={'class':'form-control'}),
#             'car_model':forms.TextInput(attrs={'class':'form-control'}),
#             'appointment_date':forms.TextInput(attrs={'class':'form-control'}),
#             'message':forms.TextInput(attrs={'class':'form-control'})
#         }
#
# class UsersForm(forms.ModelForm):
#     password=forms.CharField(widget=forms.PasswordInput())
#     confirm_password=forms.CharField(widget=forms.PasswordInput())
#
#     class Meta:
#         model=get_user_model()
#         fields=['username','email','password','confirm_password','first_name','last_name']
#         labels={
#             'is_active':'Admin',
#             'is_superuser':'Super Admin'
#         }
#
#     def __init__(self,*args,**kwargs):
#         super(UsersForm,self).__init__(*args,**kwargs)
#         self.fields['email'].required = True
#
#     def clean(self):
#         cleaned_data=super(UsersForm,self).clean()
#         password=cleaned_data.get("password")
#         confirm_password=cleaned_data.get("confirm_password")
#
#         if password!=confirm_password:
#             raise forms.ValidationError(
#                 "Password and confirm password does not match"
#             )
#
# class ProfileForm(forms.ModelForm):
#
#     class Meta:
#         model=User
#         fields=['username','first_name','last_name']
#
# class ShopOpenCloseForm(forms.ModelForm):
#     day=forms.ChoiceField(choices=days,widget=forms.Select(attrs={'class':'mdb-select'}))
#
#     class Meta:
#         model=OpenClose
#         fields=['day','from_time','to_time','closed']
#         widgets={
#             'from_time':forms.TimeInput(attrs={'class':'timepicker form-control'}),
#             'to_time':forms.TimeInput(attrs={'class':'timepicker form-control'}),
#         }
#         labels={
#             'from_time':'From',
#             'to_time':'To'
#         }
#
# class RepairShopUpdateForm(forms.ModelForm):
#     sites=Site.objects.all()
#     site=forms.ModelChoiceField(queryset=sites,widget=forms.Select(attrs={'class':'mdb-select'}))
#     class Meta:
#         model=RepairShop
#         fields=['name','email','address','phone','facebook','instagram','twitter','google','site']
#         widgets = {
#             'name': forms.TextInput(attrs={'class': 'form-control'}),
#             'email': forms.TextInput(attrs={'class': 'form-control'}),
#             'address': forms.TextInput(attrs={'class': 'form-control'}),
#             'phone': forms.TextInput(attrs={'class': 'form-control'}),
#             'facebook': forms.TextInput(attrs={'class': 'form-control'}),
#             'instagram': forms.TextInput(attrs={'class': 'form-control'}),
#             'twitter': forms.TextInput(attrs={'class': 'form-control'}),
#             'google': forms.TextInput(attrs={'class': 'form-control'})
#         }
#
#
#
# class SignupForm(UserCreationForm):
#     address=forms.CharField(max_length=200)
#     zip_code=forms.IntegerField(max_value=9999,min_value=1000)
#     business_domain=forms.ChoiceField(choices=category,widget=forms.Select())
#     phone_regex = RegexValidator(regex=r'^\+?1?\d{9,15}$',
#                                  message="Phone number must be entered in the format: '+999999999'. Up to 15 digits allowed.")
#     phone_no =forms.CharField(max_length=15,validators=[phone_regex])
#     about=forms.CharField(widget=forms.Textarea())
#     class Meta:
#         model=get_user_model()
#         fields=['username','email','address','zip_code','password1','password2','business_domain','phone_no']
#         # fields=['username','email','password1','password2','phone_no']
#
#     def signup(self, request, user):
#         # user.username = self.cleaned_data['username']
#         # user.email = self.cleaned_data['email']
#
#         user=user.save()
#
# class ReviewForm(forms.ModelForm):
#     sites = Site.objects.all()
#     site = forms.ModelChoiceField(queryset=sites, widget=forms.Select(attrs={'class': 'mdb-select'}))
#
#     class Meta:
#         model = Review
#         fields = ['name','address','message','site']
#         widgets = {
#             'name': forms.TextInput(attrs={'class': 'form-control'}),
#             'address': forms.TextInput(attrs={'class': 'form-control'}),
#             'message': forms.TextInput(attrs={'class': 'form-control'}),
#         }

admin_site/views.py
from django.shortcuts import render

# Create your views here.
def notifications(request):
    return render(request,"generics/notifications.html",{})

webtweaker/templates/admin_site/profile/payment-upgrade.html
{% extends "admin_site/client_base.html" %}
{% load static staticfiles widget_tweaks%}
{% block title %}Users List{% endblock %}
{% block content %}
    <script src="https://js.stripe.com/v3/"></script>
    <script src="{% static "webtweaker_assets/js/index.js" data-rel-js %}"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'webtweaker_assets/css/example5.css' %}" data-rel-css=""/>
    <link rel="stylesheet" type="text/css" href="{% static 'webtweaker_assets/css/base.css' %}" data-rel-css=""/>
    <link rel="stylesheet" type="text/css" href="{% static 'webtweaker_assets/css/example5.css' %}" data-rel-css=""/>
{%  endblock %}
{% block container %}
    <div class="row align-items-center justify-content-center">
        <div class="col-lg-6 col-md-6 mb-4">
            <!--Card-->
            <div class="card card-cascade narrower">
                <!--Card content-->
                <div class="view view-cascade gradient-card-header mdb-color lighten-3">
                        <h5 class="mb-0 font-weight-bold">Upgrade Payment</h5>
                </div>
                <div class="card-body card-cascade text-center">
                <form id="payment">
                    <!-- Register form -->
                     <div style="margin-top: 20px">
                        <select class="form-control" style="display: block !important;" id ="package">
                            {% for package in packages %}
                            <option  value="{{ package.price }}">{{ package.name }}</option>
                            {% endfor %}
                        </select>
                    </div>
                  <div style="margin-top: 20px" >
                        <select class="form-control" style="display: block !important;" id ="duration">

                            <option  value="1">Monthly</option>
                            <option  value="12">Yearly</option>

                        </select>
                    </div>
                    <div style="margin-top: 20px" >
                            <input class="form-control" id="price" value="{{ packages.0.price }}" disabled>
                     </div>
                    <div style="margin-top: 20px">
                            <div class="form-control" id="card-element"></div>
                        <div id="card-errors" role="alert"></div>
                    </div>

                    <button style="margin-top: 20px" type="submit" data-tid="elements_examples.form.pay_button" class="form-control">
                        Pay
                    </button>
                    </form>
                    <!-- Register form -->

                </div>

            </div>
            <!--/.Card-->

        </div>
    </div>
{% endblock %}

{% block custom_js %}
    <script>
        $('#package').change(function () {
            $('#price').val($(this).val());
        });
        $('#duration').change(function () {
            var price = $('#package').val() * $(this).val();
            $('#price').val(price);
        });
        var stripe = Stripe('{{ STRIPE_PUBLISHABLE_KEY }}');
        var elements = stripe.elements();

        var style = {
            base: {
                iconColor: "#658af9",
                color: "#5766ff",
                fontWeight: 400,
                fontFamily: "Helvetica Neue, Helvetica, Arial, sans-serif",
                fontSize: "16px",
                fontSmoothing: "antialiased",
                "::placeholder": {
                    color: "#453bf6"
                },
                ":-webkit-autofill": {
                    color: "#fce883"
                }
            },
            invalid: {
                iconColor: "#ff3645",
                color: "#ff2644"
            }
        };

        // Create an instance of the card Element.
        var card = elements.create('card', {
            style: style
        });

        // Add an instance of the card Element into the `card-element` <div>.
        card.mount('#card-element');
        card.addEventListener('change', function (event) {
            var displayError = document.getElementById('card-errors');
            if (event.error) {
                displayError.textContent = event.error.message;
            } else {
                displayError.textContent = '';
            }
        });

        // Create a source or display an error when the form is submitted.
        var form = document.getElementById('payment');

        form.addEventListener('submit', function (event) {
            event.preventDefault();

            stripe.createSource(card).then(function (result) {
                if (result.error) {
                    // Inform the user if there was an error
                    var errorElement = document.getElementById('card-errors');
                    errorElement.textContent = result.error.message;
                } else {
                    // Send the source to your server
                    stripeSourceHandler(result.source);
                }
            });
        });

        function stripeSourceHandler(source) {
            // Insert the source ID into the form so it gets submitted to the server
            var form = document.getElementById('payment');
            var hiddenInput = document.createElement('input');
            var hiddenAmount = document.createElement('input');

            hiddenInput.setAttribute('type', 'hidden');
            hiddenInput.setAttribute('name', 'stripeSource');
            hiddenInput.setAttribute('value', source.id);
            form.appendChild(hiddenInput);

            hiddenAmount.setAttribute('type', 'hidden');
            hiddenAmount.setAttribute('name', 'amt');
            hiddenAmount.setAttribute('value', '{{ order_total.incl_tax|safe }}');
            form.appendChild(hiddenAmount);

            // Submit the form
            {#form.submit();#}
            var amount = $('#package').val();
            var duration = $('#duration').val();
            $.ajax({
                url:"{% url 'admin_site:upgrade-payment' %}",
                type: 'post',
                data: { token: source.id, csrfmiddlewaretoken: '{{ csrf_token }}',amount:amount, duration: duration},
                success: function (response) {
                    window.location.href = 'admin/user_payment_history/';
                    var example = document.querySelector(".example5");
                    example.querySelector(".token").innerText = source.id;
                    example.classList.add("submitted");
                    {#source.complete("success");#}
                    $('#test').append('<a href="{% url 'admin_site:dashboard' %}" class="alert alert-success" role="alert">You are successfully subscribed to Webtweaker. Click here to visit your admin panel</a>');
                },
                error:function(data){
                    var error_message = data.responseText.split(":")[1].split("\n")[0];
                    $('#test').append('<div class="alert alert-error" role="alert">'+error_message+'</div>');
                }
            });
        }
        $('#amount').text(sessionStorage.amount);
    </script>
{% endblock %}

webtweaker/templates/admin_site/profile/profile-details.html
{% extends "admin_site/client_base.html" %}
{% load static staticfiles widget_tweaks%}
{% block title %}Users List{% endblock %}
{% block container %}
    <div class="row align-items-center justify-content-center">
        <div class="col-lg-6 col-md-6 mb-4">
            <!--Card-->
            <div class="card card-cascade narrower">
                <!--Card content-->
                <div class="view view-cascade gradient-card-header mdb-color lighten-3">
                        <h5 class="mb-0 font-weight-bold">Edit Account</h5>
                </div>
                <div class="card-body card-cascade text-center">
                    <!-- Register form -->
                    <form method="post">
                        {% csrf_token %}
                        {% for hidden_field in form.hidden_fields %}
                            {{ hidden_field }}
                        {% endfor %}
                        {% if form.non_field_errors %}
                            <div class="alert alert-danger" role="alert">
                                {% for error in form.non_field_errors %}
                                    {{ error }}
                                {% endfor %}
                            </div>
                        {% endif %}
                        {% for field in form.visible_fields %}
                            {% if form.is_bound %}
                                {% if field.errors %}
                                    <div class="md-form has-error">
                                        {% render_field field class="form-control" %}
                                        {{ field.label_tag }}
                                        {% for error in field.errors %}
                                            <span class="text-danger help-block">{{ error }}</span>
                                        {% endfor %}
                                    </div>
                                {% else %}
                                    <div class="md-form">
                                        {% render_field field class="form-control" %}
                                        {{ field.label_tag }}
                                    </div>
                                {% endif %}
                            {% else %}
                                <div class="md-form">
                                    {% render_field field class="form-control" %}
                                    {{ field.label_tag }}
                                </div>
                            {% endif %}
                            {% if field.help_text %}
                                <small class="form-text text-muted">{{ field.help_text }}</small>
                            {% endif %}
                        {% endfor %}
                        {% if redirect_field_value %}
                            <div class="row">
                                <input type="hidden" name="{{ redirect_field_name }}"
                                       value="{{ redirect_field_value }}"/>
                            </div><!--end .row -->
                        {% endif %}
                        <div class="text-center mt-4">
                            <input type="submit" class="btn btn-primary waves-effect waves-light" value="Update Account">
                        </div><!--end .col -->
                    </form>
                    <!-- Register form -->
                    <div class="row m-4">
                        <p class="text-muted m-0"><small>If you want to change your password, Please <a href="{% url 'account_change_password' %}">click here</a></small></p>
                        <hr>
                        <p class="text-muted m-0"><small>If you want to change your email, Please <a href="{% url 'account_email' %}">click here</a></small></p>
                    </div>

                </div>

            </div>
            <!--/.Card-->

        </div>
    </div>
{% endblock %}